PentaView

PentaView is a utility that you can use to examine files. It can be used for files which are included inside compressed archives or anywhere on your computer. This is also called the PentaSuite Viewer Client as it is a "client" of the PentaSuite Browser.

The viewer can recognize many different kinds of files and you don't need to have the program which created the files you want to view.

You may view files which are compressed inside any of the archive types that PentaZip supports: ZIP, ZGB, ZIP64, ARJ, ARC, LZH/LHa, CAB, GZip, RAR, ZOO, TAR, JAR, Ace and BH.

Note: If you wish to use a different viewer all you need to do is insert the program name and its path in the appropriate section of the PentaZip Advanced Options screen. The Advanced Options screen can also be reached through the Windows Control Panel or using the “Options” pull down menu or using the PentaZip Program Manager.


What's New in Version 7

This chapter is merely intended as a preliminary listing of some of the changes that have been made to PentaView since Version 6.

  • General look and feel of all programs
  • New Formats supported by PentaBrowser and PentaView
  • PentaView Single File Viewer

General look and feel of all programs

All 200 plus program button icons have been redesigned.

The icons can be:

  1. either “Small” or “Large”,
  2. with or without text descriptors
  3. with or without hints

The way the icons are seen can be changed from within each program under Views Toolbar or from Advanced Options

New Formats supported by PentaBrowser and PentaView

We have added support for numerous new formats that cover, in particular, the needs of Digital Photography. We have signed licensing agreements with the main format owners to be able to offer the best possible rendition of RAW digital images as well as editing, cropping and conversion to common formats such as JPG, TIFF, GIF, Targa and more.

Document formats

  1. Adobe PDF (if Acrobat is installed)
  2. HTML Internet Browser (based on Internet Explorer)

Graphics formats

  3. JPEG 2000
  4. JASC Paint Shop Pro Image
  5. Psion MultiBitMap (MBM)
  6. X PixMap

Digital Photography

  7. Canon Raw Format (CRW)
  8. Casio Digital Camera
  9. FlashPix
  10. Foveon X3F
  11. FujiFilm FinePix S2 Pro RAF
  12. Minolta MRW
  13. Kodak Professional Digital Camera
  14. Nikon NEF
  15. Olympus ORF Raw Format
  16. Seattle Film Works
  17. Sony Digital Camera
  18. WAP WBMP (i.e. Cell phone photography)

PentaView Single File Viewer

  • Changed Interface
  • Cropping has been completely re-designed. This allows for much greater flexibility. The “crop” rectangle can now be:
    1. resized
    2. moved around an image until the desired position and size have been set. To crop an image press the “Resize/Crop button, then press “Select” and, one you have selected the area to be cropped, press the “Crop” button
  • Added Support for numerous Digital Photography “RAW” formats (the formats that Digital Cameras save pictures internally with).
  • Added support for PDF file viewing, copying and printing.
  • Improved HTML page viewing allowing also for access to the Internet from within the client.


Starting the Viewer

There are various ways to gain access to PentaView. You may use the viewer from inside The Shell, The Main Interface, from the Start menu or from Windows Explorer.

From the PentaWare Manager press PentaView icon

From inside PentaBrowser select an item and double click on it or select PentaView from the right mouse menu.

From inside PentaZip: with a file selected press "PentaView" on the right mouse menuor press the View button .

If you have set the PentaSuite Double Click option to view file, all you need to do to view a compressed archive item that PentaView supports is:

1.Open the file from the main Interface

2.Select the file you want to view

3.Double click

From Windows Explorer:

Select (highlight) a file you want to view and press the right mouse button and select PentaView.

From the Start Menu:

To run PentaView from the Start menu [image] select the PentaSuite program group and then select either “PentaBrowser” to view single files from the browser using PentaView or select PentaView and then open the file you want to view using the Open button.


Viewer Menubar

File | Color
Edit | Tools
View | Options
Mail/Zip | Help

PentaView menubar shows most of the program’s many functions. In this section you will become acquainted with the layout and function of the items listed there.

File

The File pull down menu contains the following basic commands for handling files when no file is open.

  • Open: Selecting Open from the File pulldown menu will launch the browse window allowing you to choose a file(s) to open.
  • Next: Use this button to quickly skip forward from file to file. It will be much faster. You may also use the F11 button on your keyboard for this or the PageUp button. Page Up is not available for moving between documents for Texts as this button is used within the texts themselves This command is available for all supported file types: Images, Autocad, Text, Multimedia and Spreadsheets. You may also set the browsing sequence by Name, Type, Date or Size.
  • Previous: Use this button to quickly skip backward from file to file. It will be much faster. You may also use the F12 button on your keyboard for this or the PageDown button. Page Down is not available for moving between documents because this button is used within the texts themselves. This command is available for all supported file types: Images, Autocad, Text, Multimedia and Spreadsheets. You may also set the browsing sequence by Name, Type, Date or Size.
  • Exit: Choosing this from the pulldown menu will close the PentaView program.

When a supported file is opened the File pulldown menu will have numerous other commands in addition to the ones we saw above.

  • Save copy to: Choosing this from the pulldown menu the saved file will not overwrite the existing file but will be saved as a copy of the original (not replaced) file. This allows you to edit a file and not overwrite the original without losing the changes made.
  • Convert: Choosing this from the pulldown menu the file will be saved and will substitute the existing file unless you select a different name. This is the Format Conversion Command. Using this button you may save in any of the supported formats a file being viewed. (for example a BMP file as a GIF file).

Use the "Convert" command to convert from one graphics format to another. See Table below

Convert From

Convert To

BMP Windows, BMP OS/2, CAL, CMP, CUR, CUT, FLC, FPX, EMF, GIF, ICO, IMG, ICA, ICA, IFF, JPG, JPG, JTF, MAC, MSP, PCX, PNG, PSD, RAS, TGA, TIF, TIF-Multipage, TIF (Exif), WMF, WXF, XBM, XWD

BMP Windows, BMP OS/2, CAL, CMP, CUR, CUT, FLC, FPX, EMF, GIF, ICO, IMG, ICA, ICA, IFF, JPG, JPG, JTF, MAC, MSP, PCX, PNG, PSD, RAS, TGA, TIF, TIF-Multipage, TIF (Exif), WMF, WXF, XBM, XWD
  • Run: To automatically startup an associated program and open the file into it. An example of this would be opening Multimedia player for a .wav file.
  • Open with: Is used when there is no program associated with the current file.
  • Print: Prints any supported printable file (i.e. a text file or a graphics file). Multimedia files cannot be printed.
  • Properties: Will show pertinent information about the current file including embedded comments in some graphics formats.

Edit

The Edit pull down menu contains the following commands:

  • Copy/Paste: Choosing this option while viewing a graphic will copy the entire file to the clipboard. If viewing a text file, you must select the text you wish to copy first. Clicking the “Select all” and then choosing copy will place the entire contents on the clipboard.If you select an area within a file using the Select command g_select.gif (1002 bytes).
  • Select All: select the entire area of the file being viewed or the entire text if you are viewing a text Document.
  • Find: PentaZip can locate specific text strings within a text file being viewed. Clicking on this option will open a window allowing you to insert the character string you are searching for.
  • Find Next: Clicking Find Next the program will continue searching for another instance of the character string you are searching for.
  • Set Font - modify the font of the currently selected text. Available only if you are viewing a text, Word or RTF Document.

The following commands are only available for Image files

  • Fit Screen: Make image being viewed stretch to the current size of the Viewer screen. This setting will take effect with the next image being viewed. Press the Normal View button [image] to remove this setting. Only for Images.
  • Fit Width: Make image being viewed stretch to the current width of the Viewer screen. This setting will take effect with the next image being viewed. Press the Normal View button [image] to remove this setting. Only for Images.

Sub Menus on the Edit Menu for images

Color

Modify the colors of an image according to your needs.

The following commands are only available for Image files

  • GrayScale: Change the image scheme using only differing shades of gray.
  • Halftone for Displaying: Displays image using only halftones.
  • Halftone for Printing: Prints image using only halftones.
Rotate Flip: This command will turn the viewed image upside down and will reverse it too. If you copy the image to the clipboard after having used the “Flip” command the image in the clipboard will also be both upside down and reversed.

Reverse: This command will make the viewed image have a reverse or mirror image. If you copy the image to the clipboard after having used the “Reverse” command the image in the clipboard will also be "reversed”.

Rotate 90 right this command will rotate an image 90 degrees to the right.

Rotate 180 this command will rotate an image 180 degrees (i.e. upside down). This is different from "Flip" which in addition to the up side down effect also reverses the image.

Rotate 90 left this command will rotate an image 90 degrees to the left.

The Rotate Menu command will allow you to rotate an image by an angle of your choce from 1 degree to 359 degrees .

Resize/Crop You have to select an area to crop using the Select item.

Select: allows you to select an area on an image. Use the Crop button to obtain an image made only of the area contained inside the selected area. If you press the copy command after having selected a section of an image only the area selected will be sent to the clipboard.You can resize the Selected Area with your mouse and change its size too

Resize: this command makes a screen appear on which you can insert the size in pixels that you want an image to be. There is also an Aspect ratio box that (if checked) will adjust the height of the image if you change the width and vice versa.

Select Crop when you are satisfied with the area you have selected .

Crop: this command allows you to obtain an image made only of the area contained inside the area selected using the Select button.
Multipage

This menu is active for multi page TIFF files such as fax messages showing next page and previous page.

Example of the Flip Menu Command

view_flip1.gif (4499 bytes)

Example of the Reverse Menu Command

View

Selecting View from the menubar gives you the following choices. Lets look at them closer.

Zoom Menu

  • Toolbar: The toolbar option expands into another menu that allows you to manipulate where the toolbar is placed and how it looks.
  • Hex view: View the current file in Hex (Hexadecimal) format.
  • Text view: View the current file in text format.
  • Normal View (100%): The view of an open file will be restored to its normal size using this command.
  • Zoom In: This command is used to increase the size of the image being viewed. The increase factor will depend upon the size of the image being viewed.
  • Zoom Out: This command is used to reduce the size of the image being viewed. The reduction factor will depend upon the size of the image being viewed.

Toolbar Menu

This menu can also be reached by clicking on the upper toolbar using right mouse.

Button Appearance
  • Text - No Image - Text description of button's use
  • Images - Icon image descriptor of button's use - No Text descriptor
  • Text & Images - Both Text description of button's use and Icon image descriptor of button's use
Button Size
  • Large Buttons such as
  • Small Buttons such as
Hints

As most programs do, PentaView can show a more detailed explanation of what a specific button does. In this case the "Get" button will "Download Selected File".
Skin

this will allow you to modify the background of your toolbars inserting an image of your choice.
Customize Toolbar

To customize the toolbar

  1. To modify the toolbar text, select an item from the Text Options list.
  2. To modify the icon size, select an item from the Icon Options list.
  3. To add or remove buttons, click the button name in the Available toolbar buttons list, and then click Add or Remove.
  4. To change the order in which buttons appear, click the button in the Current toolbar buttons list, and then click Move Up or Move Down.

  • Status Bar: Along the bottom of each open PentaView window there is an area known as the status bar. This area tells you the date the file was created or modified and its size in bytes. Checking this option displays the status bar on all open windows.

Mail/Zip

  • Email: Attach this item to an email message.
  • Zip+Mail: Create a compressed archive (Zip, ZGB, GZip, Tar, GZip-Tar LZH/Lha, CAB, BH) that contains this item and attach the resulting archive to an email message. This command is available for all formats.
  • Compress: Create a compressed archive (Zip, ZGB, GZip, Tar, GZip-Tar LZH/Lha, CAB, BH) that contains this item. This command is available for all formats.
  • Add To Existing Archive: Add this item to an existing compressed archive (Zip, ZGB, GZip, Tar, GZip-Tar LZH/Lha, CAB, BH). This command is available for all formats.

  • Extract: Only for files being viewed that are contained in a Compressed Archive.

Options

PentaView allows you to set many of the functions that control how the program works and looks. In this section, we will review what you can change and how you can change it.

Filters

  • Filter Known Files: This will limit the items viewed to file formats which PentaView supports. All non supported items will be ignored This command is available for all files.
  • Filter Current Type: This will limit the items viewed to file formats of the item being currently viewed. All items not of the current file format type will be ignored. This command is available for all files.
  • No File Filter: No limitation based on file format type. This will allow for viewing of non supported items. This command is available for all files.

Save to:

  • Save to My Documents: The folder that will be open for "Save As" will be My Documents.
  • Save to last folder: The folder that will be open for "Save As" will be the last one used.
  • Save to Current folder: The folder that will be open for "Save As" will be the current folder.

Size

  • Unlock Minimal Size: The Viewer Window cannot be reduced to a size lower than the value set here. Use the next command to modify the minimum size level.
  • Set Minimal Size: The Viewer Window cannot be reduced to a size smaller than the value set here.

SlideShow

  • Slideshow setting: This allows you to set a time interval between images being shown.
  • Slideshow reverse: This allows you to have the slideshow go backwards.

Zoom Mode

  • Single Image - A Zoom In or Zoom Out setting will only be valid for the current image
  • Persistant - A Zoom In or Zoom Out setting will be valid for the current image and for all subsequent images until :
    1. you exit PentaView
    2. you select a differnt zoom setting
    3. set Zoom Mode to Single Image

Other Options

  • New Window on saved file: When selected a new window will be opened when you perform the "Save As" command.
  • Browser Sync: Changing files being viewed using Previous or Next will be reflected in the Browser (if open).
  • Show warnings: Show informational messages.
  • Reorder Files after Saving: This is useful when you are doing format conversion. The file list will be constantly updated as you save new files. The default setting is "OFF" (i.e. unchecked) as this option slows down the browsing process.
  • Autorun: This will start PZVserver when you start your computer. It will guarantee faster response time. PZVServer is the background motor of PentaView. By keeping it constantly running response times are often 50% faster than they would be if you had to start PentaView every time you want to view a file.
  • Advanced Options - this is used to set your preferences. It can also be accessed from the Control Panel and from the Options pulldown menus of most of our programs.

Tools

menu_tools_viewer.gif (1357 bytes)

  • Find
  • Disk Info

  • Automatic Thumbnail Creation - to create a database of the images in single folders (called "thumbnails"). In "Thumbnail" display mode you can pick and choose images you want to view, copy or work with.
  • Initialize Thumbnail Database - you may need to regenerate the thumbnails every so often. Use this command with care as all thumbnails currently available will be deleted.
  • PentaWare Manager- to start the PentaWare General Manager Program
  • CD Burning to start PentaCD
  • PentaZip to start the PentaZip Compression Program
  • Encryption - offers the choice between two items.
    1. PentaPGP to start the PentaSuite PGP maintenance program.
    2. PentaSend to start the PGP encryption wizard
  • PentaFTP to start the FTP client

Help

  • Contents: Clicking on this will open the PentaView help file.
  • PentaWare Web Site - to access our website using your internet browser .
  • About: Clicking on this item will open a window giving you basic PentaView information such as the version number and user name and registration information.


Viewing AutoCAD Files

The AutoCAD(r) formats (referring to files created using the AutoCAD program produced by AutoDesk, Inc.) are fully viewable using PentaZip. There can be some issues, however, for composite formats of DWG in which other formats are incorporated using third party proprietary software. The formats supported are DXF and DWG.

DXF AutoCAD Drawing Interchange Format

A DXF file is an ASCII file containing 2D and 3D components representing a drawing. DXF was first introduced by AutoDesk AutoCAD and is one of the most widely used CAD/CAM/CAE application in the world. DXF is very popular and is supported by most 3D applications on PC platforms.

PentaView supports versions 2.6, 9, 10, 11, 12, 13 and 14 with the following entities: 3Dface, 3Dsolid, Arc, Circle, Ellipse, Insert, Line, polyline, Mtext, Point, Polyline, Solid, Text and Trace in full 2D or 3D DXF files. You can load any of the DXF files as either vector images or raster images.

You may copy images to the clipboard and paste them into other applications. The copy and paste operation will refer to the "current" view of the DXF file. You can adjust the view of a DXF image by making different copies of different views. You may also print the "current" view. This format can be read but not modified.

DWG AutoCAD Drawing Files

DWG is a binary file format used by AutoDesk AutoCAD. It can contain 2D or 3D objects and offers compression and a CRC check for internal data.

PentaView supports DWG 12, 13 and 14 files with the following object types: ext, Block, Insert, Minsert, Vertex_2D, Vertex_3D, Vertex_Mesh, Vertex_Pface, Vertex_Pface_Mesh, Polyline_2D, Polyline_3D, Arc, Circle, Line, Point, 3Dfce, Polyline_Pface, Polyline_Mesh, Solid, Trace, Ellipse, Spline, Mtext and Lwpolyline.

You may copy images to the clipboard and paste them into other applications. The copy and paste operation will refer to the "current" view of the DXF file. You can adjust the view of a DXF image by making different copies of different views. The "current" view can also be printed. This format can be read but not modified.

All DXF and DWG images can be rotated, scaled and translated as a whole (not individual objects) for display purposes. In addition, the camera command allows you to have a different perspective view of a DWG image.

Commands offered by PentaView

Scale

Rotate

Traslate

Camera

A Word document with AutoCAD Images included

Scale - This command allows you to scale (i.e. ZOOM) the image being viewed. The scaling factor is in 10% increments or reductions. Once you press OK the viewed image will become identical to the one you see in the Preview Window. From that point on you can copy and paste, print, etc with the output reflecting the new view.

Before

After

Rotate - This command allows you to rotate the image being viewed on the X axis and on the Y axis. Once you press OK the viewed image will become identical to the one you see in the Preview Window. From that point on you can copy and paste, print, etc with the output reflecting the new view.

Before

After

Traslate - This command allows you to move the image being viewed to different positions on the viewing plane. Once you press OK the viewed image will become identical to the one you see in the Preview Window. From that point on you can copy and paste, print, etc with the output reflecting the new view.

Before

After

Camera - This command allows you to modify the perspective view of a DWG image being viewed to different positions on the viewing plane. The viewer can practically offer any prospective by modifying the values of Theta and of Phi. Once you press OK the viewed image will become identical to the one you see in the Preview Window. From that point on you can copy and paste, print, etc with the output reflecting the new view.

Before

After

Showing an AutoCAD image in a Word document.

The following example was obtained by pressing the Copy button (before and after rotating the image) and shifting to a Microsoft Word Document and pasting the copied images directly.


Buttons on PentaView Toolbars

Buttons on the
PentaView Toolbars

Most of the commands that you can use can either be executed by selecting a pulldown menu item or by pressing a button. The buttons are placed on toolbars. The single toolbars reflect functions that are either related to the kind of item to be viewed (for example images have certain specific commands while texts have others).

We have prepared a series of tables that show:

  • The image on each of the buttons
  • The name of the command that each button will invoke.
  • Whether the button was already on a toolbar or not when PentaZip was installed (i.e. the default setting). Check How to Modify
  • What the button does
  • What sort of viewable items the button is available for (Images, AutoCAD, Texts, Spreadsheets and Multimedia)

These are the links to the single tables:

  • File Toolbar
  • Edit Toolbar
  • View Toolbar
  • Zip/Mail Toolbar
  • Options Toolbar
  • Multimedia Toolbars and Commands


Buttons on the File Toolbar

Button Icon | Name of Command | Available at time of Install | Further information | For which viewed items available
 | Exit | yes | You may also use the Alt-F4 button on your keyboard for this | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Open | yes | Opens a window for you to choose a file to view. | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Previous | yes | You may also use the F11 button on your keyboard for this or the PageUp button. Page Up is not available for moving between documents for Texts as this button is used within the texts themselves | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Next | yes | You may also use the F12 button on your keyboard for this or the Page Down button. Page Down is not available for moving between documents for Texts as this button is used within the texts themselves | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Open PentaBrowser and close PentaView | yes | This will close the current Viewer and open (or return to) the PentaBrowser | Images, Text and Spreadsheets
 | Convert | yes | Converts the selected file/files into another file extension. | Images, AutoCAD, Text and Spreadsheets
 | Print | yes | Prints the selected file. | Images, AutoCAD, Text and Spreadsheets
 | Print Preview | yes | Views how the file will look when printed. |
 | Views | yes | Changes the way a file is viewed (Hexadecimal, text, etc...). | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Zip/Mail | yes | Compresses the selected file/files and attaches to an email message. | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Create CD | yes | Creates a CD archive of the selected file/files. | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Help | yes | Opens the help file for PentaView | All (Images, Autocad, Text, Multimedia and Spreadsheets)


Buttons on the Edit Toolbar

Button Icon | Name of Command | Available at time of Install | Further information | For which viewed items available
 | Copy | yes | Becomes available when something has been selected (highlighted) | Images, Text and Spreadsheets
 | Paste | yes | Becomes available when something has been copied using the Copy command | Images, Text and Spreadsheets
 | Select all | yes | Highlight an entire image or an entire document or an entire spreadsheet | Images, Text and Spreadsheets
 | Find | yes | Find a group of characters matching a pattern | Text and Spreadsheets
 | Find Next | no | Find the next instance of a group of characters matching a pattern | Text and Spreadsheets
 | Flip Horizontally | yes | changes an image view by 180° horizontally and reverses it | Images
 | Reverse | yes | turns an image over 180° and reverses it | Images
 | Select | yes | press this button to select an area on an image. Use the Crop button to obtain an image made only of the area contained inside the selected area. If you press the copy command after having selected a section of an image only the area selected will be sent to the clipboard | Images
 | Crop | yes | Press this button to obtain an image made only of the area contained inside the area selected using the Select button | Images
 | Next Page | yes | Available when viewing Multipage faxes. Moves the image forward one page | Images - Multi Page Tiff (faxes)
 | Back Page | yes | Available when viewing Multipage faxes. Moves the image back one page | Images - Multi Page Tiff (faxes)
 | ReSize | yes | Pressing this button a screen will appear on which you can insert the size in pixels that you want an image to be. There is also an Aspect ratio box that (if checked) will adjust the height of the image if you change the width and vice versa. | Images
 | Revert to Last Saved | no | Reloads the file. All changes will be lost unless you do a Save As. | Images, Text and Spreadsheets
 | Rotate | no | Rotate this image | Images
 | Rotate 90° | no | Rotate this image to the left by 90 degrees | Images
 | Rotate 180° | no | Rotate this image to the left by 180 degrees (upside down) | Images
 | Rotate 270° | no | Rotate this image by 270 degrees | Images


Buttons on the View Toolbar

Button Icon | Name of Command | Available at time of Install on toolbar | Further information | For which viewed items available
 | Hex View | yes | View the current file in Hex (Hexadecimal) format | All (Images, Autocad, Text, Multimedia and Spreadsheets)
Text View | yes | View the current file in text format | All (Images, Autocad, Text, Multimedia and Spreadsheets)
Run with | yes | Execute the file being viewed bringing up the "Open with" screen to choose the proper application from. Usually when a file is not associated with a program. | All (Images, Autocad, Text, Multimedia and Spreadsheets)
(*) | Run | yes | Execute the file being viewed inside its Associated Program (ex. a DOC or RTF file will be opened in Microsoft Word) | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | View | yes | Only when in either Hex View or Text View modes - View the current file | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Zoom In | yes | The view of an open file will become larger | Images and Text
 | Zoom Out | yes | The view of an open file will become smaller | Images and Text
 | Normal View (100%) | yes | The view of an open file will be restored to its normal size | Images and Text
 | Fit Screen | no | Make image being viewed stretch to the current size of the Viewer screen. This setting will take effect with the next image being viewed. Press the Normal View button [image] to remove this setting | Images
 | Fit Width | no | Make image being viewed stretch to the current width of the Viewer screen. This setting will take effect with the next image being viewed. Press the Normal View button to remove this setting | Images

(*) Will use the Icon of the Associated Program. (a DOC file Associated with Microsoft Word will have theMicrosoft Word Icon [image] or [image])


Buttons on the Zip/Mail Toolbar

Button Icon | Name of Command | Available at time of Install | Further information | For which viewed items available
 | Email To | yes | Attach this item to an email message | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Zip + Mail | yes | Create a compressed archive (Zip, ZGB, GZip, Tar, GZip-Tar LZH/Lha, CAB, BH) that contains this item and attach the resulting archive to an email message | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Compress | yes | Create a compressed archive (Zip, ZGB, GZip, Tar, GZip-Tar LZH/Lha, CAB, BH) that contains this item | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Add To Existing Archive | no | Add this item to an existing compressed archive (Zip, ZGB, GZip, Tar, GZip-Tar LZH/Lha, CAB, BH) | All (Images, Autocad, Text, Multimedia and Spreadsheets)


Buttons on the Options Toolbar

Button Icon | Name of Command | Available at time of Install | Further information | For which viewed items available
 | Filter Known Files | No | This will limit the items viewed to file formats which PentaView supports. All non supported items will be ignored | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | Filter Current Handler Files Type | No | This will limit the items viewed to file formats of the item being currently viewed. All items not of the current file format type will be ignored | All (Images, Autocad, Text, Multimedia and Spreadsheets)
 | No File Filter | No | No limitation based on file format type. This will allow for viewing of non supported items | All (Images, Autocad, Text, Multimedia and Spreadsheets)
No image | AutoSize Windows To Image | No | The size of the viewing window will automatically be set according to the size of the image being viewed. | Text and Images


Multimedia Toolbars and Commands

Multimedia files are either viewable video clip or audio files. Video files can also have an audio portion.

AVI files

AVI files can be paused to copy a single frame by using the Frame Capture command in the Edit toolbar which is only available when AVI files are being played.

MP3 Player

Control of Volume and Balance

The upper section shows the file name of the music to be played. The 2 cursors can be moved independently from left to right or vice versa to control volume and the balancing between the loud speakers

The lower cursor shows the progress of the song being played.
  • The upper time indicates the elapsed playing time.
  • The lower time indicates the length of the song.

Return to start of song Play Pause Stop Goto end of song
The items in the table above show the use for each button.
The status bar shows information about the song and its file size.


Shrink and Mail

The "Shrink+Mail" command is designed to help people send a large image that has been reduced to a smaller size via email. Typical uses for this feature could be in Publishing and Graphic Studio environments although practically anybody could have a need for this (ex. people that want to share digital photographs with friends or relatives).

To use Shrink and Mail press the [image] on the toolbar in Edit Mode

Setting the Shrink and Mail options

This can be done from the "Options" menu at the top of the Browser screen

We have set the default values for this function to JPEG using the lowest quality level to make sure the resulting "reduced size" file will be as small as possible, You are free to experiment with these settings to find the quality level and the file type that most suits your needs.

We have chosen as "prefix" for files created using this feature "shrk_" simply to identify files that have been reduced. If you delete this prefix, the output will be named exactly the same way as the original file was. Once the new "shrunk" file has been created, it will be inserted in a Zip archive that will then be attached to an email message that you can address to the recipient(s) of the file.

If the "Show Details for Shrink+Mail" screen item has been checked, the above screen will be shown when you press the Shrink and mail button .


Formats supported by PentaView

The following tables list tìhe formats currently supported by PentaView.

  • Graphics
  • Graphics for Digital Photography
  • Multimedia
  • Texts and Spreadsheets


Graphics Formats supported by PentaView

The following table describes the Graphic formats supported by PentaView.

All of the following can be viewed using PentaView. The Save As command allows you to convert a graphics image from its original format to any of the following. (for example from JPG to FPX ). The table shows which formats PentaView can be "Read" (R) or can be read and written through the "SaveAs" command.(i.e. "Read and Write" --> R/W)

Graphics formats supported
Extension | Type | Description | Formats supported | R or R/W
BMP | BMP | Bit Mapped Image - For OS/2 | 1, 4, 8 and 24 bit - Version 1.0 and Version 2.0 | R/W
BMP | BMP | Bit Mapped Image - For Windows | 1, 4, 8, 16, 24 and 32 bit | R/W
CAL | CALS | Continuous Acquisition and Life-Cycle (CALS) Support >Raster - U.S. government standard | 1 bit | R/W
CMP | Lead Tools Compressed | Lead Compressed file format | 24 bit and 1 bit - 8 bit (gray) Progressive and Non Progressive | R/W
CUR | CUR | Cursor format for Windows | 1, 4, 8 and 24 bit | R/W
CUT | Dr. Halo files | Dr. Halo files are device independent images. The image is stored in one file (.CUT) and the palette is stored in a separate file (PAL). If the image has no corresponding .PAL file, it is considered a grayscale image. | For CUT files, you can read and write 8 bits per pixel. | R/W
DXF | AutoCAD Drawing Interchange Format | A DXF file is an ASCII file containing 2D and 3D components representing a drawing. DXF was first introduced by AutoDesk AutoCAD and is one of the most widely used CAD/CAM/CAE application in the world. DXF is very popular and is supported by most 3D applications on PC platforms. | PentaView supports versions 2.6, 9, 10, 11, 12, 13 and 14 with the following entities: 3Dface, 3Dsolid, Arc, Circle, Ellipse, Insert, Line, Lwpolyline, Mtext, Point, Polyline, Solid, Text and Trace in full 2D or 3D DXF files. You can load any of the DXF files as either vector images or raster images. | R
DWG | AutoCAD Drawing Files | DWG is a binary file format used by AutoDesk AutoCAD. It can contain 2D or 3D objects and offers compression and a CRC check for internal data. | PentaView supports DWG 12, 13 and 14 files with the following object types: ext, Block, Insert, Minsert, Vertex_2D, Vertex_3D, Vertex_Mesh, Vertex_Pface, Vertex_Pface_Mesh, Polyline_2D, Polyline_3D, Arc, Circle, Line, Point, 3Dfce, Polyline_Pface, Polyline_Mesh, Solid, Trace, Ellipse, Spline, Mtext and Lwpolyline. | R
EPS | Encapsulated PostScript | Used primarily on PostScript printers that usually offer more variety of fonts and higher resolution than standard laser printers. | The image that you read from an EPS file can be either a PostScript raster image or an embedded TIFF image. | R
FLC | Flic Animation | The Flic file is an animation file created by Auto-desk. This file supports image data but not audio data. The frames of this file can be of 8bpp image data. The maximum number of frames is 4000. | This file has two versions: FLI and FLC. The FLC file types support up to 64k X 64k images with 256 colors per image. For FLC files, you can read and write 8 bits per pixel. | R/W
FLI | Flic Animation | The Flic file is an animation file created by Auto-desk. This file supports image data but not audio data. The frames of this file can be of 8bpp image data. The maximum number of frames is 4000. | This file has two versions: FLI and FLC. The FLI file types support 320 X 200 images with a maximum of 64 colors per image. For FLI files, you can read 8 bits per pixel. | R
FPX | FPX | Format for digital color photographic images developed by Kodak, Microsoft Corporation, Hewlett-Packard Company and Live Picture, Inc in 1995-1996. | 24 bit and 8 bit, Compressed and Uncompressed | R/W
EMF |  | The Windows Metafile (WMF and EMF) formats are vectored formats that may or may not also contain a raster image | 8 bit and 24 bit | R/W
GIF | GIF | Graphics Interchange Format | 1, 2 , 3, 4, 5, 6, 7, 8 bits interlaced and non interlaced | R/W
GIF | GIF | Animated GIF with full animation |  | R
ICO | ICO | Icon format for Windows | 1, 4, 8 and 24 bit | R/W
IMG | GEM | GEM metafile | 1 bit | R/W
ICA | IOCA | IBM Image Object Content Architecture |  | R/W
ICA | MODICA | Image Object Content Architecture-RAW | CCITT 3.1D, 3.2D and 4 | R/W
IFF | Interchange File Format | IFF is a general purpose data storage format that can associate and store multiple types of data in RLE and non-compressed formats. | 1, 2 , 3, 4, 5, 6, 7, 8 and 24 bits per pixel. | R/W
JPG | JFIF | JPEG File Interchange Format | 24 bit YUV4:4:4, YUV4:2:2, YUV4:1:1, Progressive YUV4:4:4, Progressive YUV4:2:2, Progressive YUV4:1:1 and Lossless Jpeg | R/W
JPG | JFIF | JPEG File Interchange Format | 8 bit (gray) YUV4:0:0, Progressive YUV4:0:0, and Lossless Jpeg | R/W
JTF | JTIF | JPEG Tagged Interchange Format |  | R/W
JP2 | JPEG2000 | JPEG 2000 is an international standard (ISO/IEC 15444-1) for still image compression. JPEG 2000 supports both lossy and lossless compression of grayscale and color images. | PentaView supports reading JPEG 2000’s JP2 and codestream formats containing images with up to 16 bits per color component. Full support is provided for handling IPTC and ICC profile information found in these images. PentaView supports writing images to JP2 format files with up to 16 bits per color component precision. Both grayscale and color images are supported. During JP2 image saving the JPEG 2000 Compression Rate item on the JPEG tab of the Properties dialog is used to control the quality/compression of JP2 images. To get the best compromise between image quality and size we recommend that you use the Optimize JPEG 2000 Compression operation on the Options menu to optimize the JPEG 2000 Quality setting for an image. | R/W
MAC | MAC | MacPaint | 1 bit | R/W
MPT | TIFF | multipage TIFF format (used for faxes) | Often called Tiff or TIF | R
MSP | MSP | Microsoft Paint (an older format) |  | R/W
PSP | Paint Shop Pro Image | JASC |  | R
PCX | PCX | by ZSoft(r) used by Paint | 1,4,8, 24 and 32 bit | R/W
PCD | PCD | Kodak Photo CD |  | R
PNG | PNG | Portable Network Graphics - replacement for GIF | 1,4,8, and 24 bit | R/W
PSD | PSD | Adobe PhotoShopDocument Image | Adobe PhotoShop format images in 1, 4, 8, 24, and 48 bit format with a variety of compression and color space types can be read and displayed by PentaView. All images can be saved to Adobe PhotoShop format. | R/W
PSP |  | JASC PaintShop Image | Paint Shop Pro Format is an image file format used with Paint Shop Pro from JASC Software. Paint Shop Pro Format image files can contain images stored with various bit depths and lossless compression methods. PentaView can read and display Paint Shop Pro Format images that are in single layer raster format. Both versions 5 and 6 of Paint Shop Pro format are supported. | R
RAS | Raster | SUN Raster (RAS) is a format native to Sun UNIX platforms | 1, 4, 8, 24 and 32 bit | R/W
TGA | Targa | Truevision(r) TGA (TARGA) compressed/RLE | 8, 16, 24, 32 bit | R/W
TIF | Tag Image File Format | Tag-based file format for universal interchanges of digital image data. (See also MPT- Multi Page Tiff) | Support for the most common TIFF formats including 1, 4, 8, 16, 24, 32 bit RGB and CMYK LZW compressed image formats are supported as an add-on option. | R/W
TIF | TIFF Fax | TIFF Fax Formats | CCITT Gr3,Gr4. - FAX formats (see also MPT) | R/W
TIF | EXIF | Exchangeable Image file Format for Digital Still Cameras | Uncompressed RGB, YCbCr and JPeg 4:1:1 and 4:2:2 | R/W
WMF | WMF | The Windows Metafile (WMF and EMF) formats are vectored formats that may or may not also contain a raster image | 8 bit and 24 bit | R/W
WXF | Winfax | Winfax Fax format | CCITT 3.1D and 4 | R/W
XPM | X PixMap | Pixmap is a color format developed for X Windows by MIT. PentaView can read and display Pixmap files. | Symbolic XPM images contain X-Windows color names instead of numeric color information. Reading symbolic images requires the presence of an X-Windows standard "rgb.txt" file containing the symbolic color name mapping information. PentaView requires that the "rgb.txt" file be located in the same folder as the first symbolic XPM image that is loaded during a session. Once the mapping file is read it will be used for all symbolic XPM image viewing during that session. PentaView can write 8, 4, and 1 bit images to Pixmap files, including transparency information. | R/W
XBM | XBM | XBM is a monochrome bitmap format in which data is stored as a C language data array. It is primarily used for the storage of cursor and icon bitmaps, for use in the X graphical user interface. | For XBM files, you can read and write 1 bit per pixel. | R/W
XWD | X Window Dump | XWD stands for X Window dump. This file format is used to store and restore screen window images. Two versions of this file exist, the X10 window dump and the X11 window dump. These versions differ slightly in the format of the data (i.e. headers and bits per pixel). | PentaView does not support XWD (version X10). For version X11 XWD files, you can read and write 1, 4, 8, 16. 24, 32 bits per pixel. | R/W


Graphics Formats supported by PentaView

Digital Photography Formats supported by PentaView

The following table describes the Digital Photography Graphic formats supported by PentaView.

All of the following can be viewed using PentaView. The Save As command allows you to convert a graphics image from its original format to any of the following. (for example from JPG to FPX ). The table shows which formats PentaView can be "Read" (R) or can be read and written through the "SaveAs" command.(i.e. "Read and Write" --> R/W).

Digital Photography Images are generally all "Read" (R) files.

Digital Photography Graphics formats supported
Extension Type Description Formats supported R or
R/W
CRW | Canon Raw Format | Canon Raw format (CRW) is the native image format for Canon digital cameras, including the 600, G1, G2, G3, Pro90, EOS D30, EOS D60, EOS-1D, S45 and others. PentaView can read and display all images from these cameras. | CRW images from several Canon cameras contain greater than 8 bit per color sample resolution. PentaView preserves this resolution when reading these image files. When the images are written to JPEG 2000, PNG, PSD, or TIFF formats they will be output as 16 bit/sample images, thus preserving the original color resolution of the camera’s sensor. | R
CAM Casio Digital Camera Casio’s "QV" series of cameras produce images in Casio Digital Camera Format.

PentaView can read and display all images stored in Casio Digital Camera Format. R
FPX FlashPix FlashPix is a format for digital image storage developed by Eastman Kodak Company in collaboration with Hewlett-Packard Company, Live Picture, Inc., and Microsoft Corporation. FlashPix image files contain multiple resolution images along with transformation information to insure the best display on the viewing hardware.

FlashPix reading is fully supported by PentaView. Images containing multiple resolutions are represented as multipage images.

FlashPix writing and image transformation operations are not supported.

 R
X3F | Foveon X3F | Foveon X3F files created by the Sigma SD9 camera. | PentaView can read and display Foveon X3F files. | R
RAF FujiFilm FinePix S2 Pro RAF is the raw format produced by the FujiFilm FinePix S2 Pro camera. PentaView supports reading the RAF files produced by this camera.

The FujiFilm cameras have image sensors with a resolution greater than 8 bits per component. PentaView loads raw images created from these cameras using 16 bits per component. When these images are written to JPEG 2000, PNG, PSD, or TIFF formats they will be output as 16 bits per component images, thus preserving the original color resolution of the camera’s sensor. R
MRW Minolta Minolta MRW is the raw format produced by Minolta DiMAGE 5 and DiMAGE 7 cameras. PentaView supports reading the MRW files produced by these cameras.

The Minolta cameras have image sensors with a resolution greater than 8 bits per component. PentaView loads raw images created from these cameras using 16 bits per component. When these images are written to JPEG 2000, PNG, PSD, or TIFF formats they will be output as 16 bits per component images, thus preserving the original color resolution of the camera’s sensor. R

DCR
TIF
TIFF

Kodak Professional Digital Camera The Kodak Professional Digital Camera series includes the DCS 315, DCS 330, DCS 410, DCS 420, DCS 460, DCS 465, DCS 520, DCS 560, DCS 620, DCS 660, DCS720X, DCS760C, DCS Pro Back, EOS-DCS1, EOS-DCS3, EOS-DCS5, EOS-D2000, EOS-D6000, NC2000, and SCS 2000 cameras.

PentaView can read and display all images from these cameras.

 PentaView’s processing of DCR files from DCS720X, DCS760C, DCS Pro Back, and SCS 2000 cameras retains the full precision of the sensors from those cameras. When the images are written to JPEG 2000, PNG, PSD, or TIFF formats they will be output as 16 bit/sample images. R
NEF Nikon NEF

Nikon digital cameras can produce raw CCD images in Nikon Electronic Image Format (NEF). NEF images have 12 bits/pixel resolution and are therefore potentially superior to the standard image formats also produced by this camera.

PentaView supports the reading of NEF images from Nikon D1, D1H, D1X, D100, and E5700 cameras. Color compensation or ICC profile handling is performed as defined by the Nikon NEF properties.

NEF images written to JPEG 2000, PNG, PSD, or TIFF formats will be output as 16 bit/sample images, thus preserving the original color resolution of the camera’s sensor.

 R
ORF Olympus ORF Raw Format Olympus ORF is the raw format produced by Olympus E-10 and E-20 cameras. PentaView supports reading the ORF files produced by these cameras.

Olympus cameras have image sensors with a resolution greater than 8 bits per component.

PentaView loads raw images created from these cameras using 16 bits per component. When these images are written to JPEG 2000, PNG, PSD, or TIFF formats they will be output as 16 bits per component images, thus preserving the original color resolution of the camera’s sensor. R
MBM Psion MultiBitMap (MBM) Psion MultiBitMap (MBM) is the native file format for the Psion mobile computing solution products. Psion MBM files can contain one or more individual images. The MBM format supports grayscale or black and white images with 1, 2, 4, and 8 bits per pixel, or color images stored with 4, 8, 12, 16, and 24 bits per pixel. Individual images in an MBM can be stored in an uncompressed or compressed form.

PentaView can read and display all pages of Psion MBM images in any format.

PentaView writes single or multipage MBM files. Grayscale or black and white image storage is with 1, 4, and 8 bits per pixel, and color images are stored with 4, 8, or 24 bits per pixel.

MBM compression is a simple run-length encoding (RLE). RLE compression can have significant benefit for images with large regions of constant color, but less benefit for images (like photographs) that do not.

         R/W
SFW Seattle Film Works Seattle FilmWorks SFW format is a variant of the standard JPEG/JFIF format for users of Seattle FilmWorks digitized photo service. It differs from the standard JPEG/JFIF format in very minor ways – the encoding and compression data format is identical.

SFW image files contain 24 bit per pixel images.

PentaView can read and display Seattle FilmWorks SFW format.

 R
PMP | Sony Digital Camera | PMP format is produced by a family of Sony digital cameras, including the DSC-F1. PMP format image files contain a Sony specific header followed by standard JPEG encoded data. PMP image files contain 24 bit per pixel images. | PentaView can read and display Sony’s PMP format images. | R
WBMP WAP - Wireless Application Protocol The Wireless Application Protocol is an emerging set of standards for developing applications that operate over wireless communication networks. The Wireless BitMaP format (WBMP) is a specification for a simple image format that can be efficiently transferred over these networks.

Currently the WAP standards define Type 0 WMBP format. This is a monochrome 1 bit/pixel format.

PentaView can read, write, and display images in Type 0 WBMP format.

 R/W


Multimedia Formats supported by PentaView

The following table describes the Multimedia formats supported by PentaView.

All of the following can be viewed/listened to using PentaView. The Save As command is not available for these files therefore the reference in the R or R/W column is always "Read" (R).

Multimedia formats supported
Extension | Type | Description | Formats supported | R or R/W
AVI | AVI | Windows AVI is a file format created by Microsoft and used for multimedia files. These files store both audio and video data. | This format supports both compressed and uncompressed data. 24 bit per pixel. Frame capture is supported when movie playing is paused. | R
MID | Musical Instrument Digital Interface | Musical Instrument Digital Interface is used in computer music applications to store and play musical notes. |  | R
MP3 | MPEG-3 | File format used for storing audio data. |  | R
MPG | MPEG-1 | MPEG-1 includes the following extensions (*.mpg, *.mpeg, *.mpv, *.mp2, *.mpa, *.mpe) | Frame capture is supported when movie playing is paused. | R
MOV | Non Proprietary Apple QuickTime | MOV and QT formats | Frame capture is supported when movie playing is paused. | R
WAV | Wave | Native sound format for MS Windows. |  | R


Text and Spreadsheet Formats supported by PentaView

Document and Spreadsheet Formats supported by PentaView

The following table describes the Text and Spreadsheet formats supported by PentaView

All of the following can be viewed using PentaView. The Save As command is available for these files under some circumstances. The reference in the R or R/W column is "Read" (R). You may copy and paste from these files to other files.

Document and Spreadsheet formats supported
Extension | Type | Description | Formats supported | R or R/W
DOC | Microsoft Word | Word Doc ("document") is one of the most common Word Processing formats | The versions supported are Word 6.0 (a.k.a. 95), Word 97 (Word 7.0), Word 2000 and Word XP | R/W
HTM, HTML | Hyper Text Marker Language | Most Web pages are in this format. | PentaView supports most pages and formats. PentaView can act as a Browser viewing pages directly from an Internet connection. Internet Explorer must be installed. | R/W
RTF | Rich Text Format | File format used for interchange between word processors as well as Publishing programs (i.e. Adobe Pagemaker) | Most formats are supported | R/W
PDF | Adobe Acrobat Portable Document Format | If Adobe Acrobat is installed, PentaView can view PDF files. | All features of the Adobe Acrobat Reader are supported (including printing). | R
TXT | Text | ASCII files |  | R/W
XLS | Microsoft Excel Spreadsheets | Formulas and data are supported. Images incorporated in spreadsheets are not supported at this time | Versions 2.0, 3.0, 4.0, 5.0, Excel 97, Excel 2000 and Excel XP | R


Viewer Toolbar

The Viewer toolbars contain the basic commands you need to use the program. Each one is explained in detail in the section called Buttons on the Viewer Toolbars. When you start the program all the commands are dimmed except for “Exit” and “Open”. The toolbar buttons will be inactive (i.e. “dimmed”) if the function they perform is not necessary for the file type being viewed. A graphics image, therefore, won’t need the “Find” button.

The Viewer toolbar will have different layouts according to the type of file being viewed. These layouts are as follows:

Program when started:

Program Toolbar when viewing a Text file:

Program Toolbar when viewing a Graphics image file:

Program Toolbar when viewing a Multimedia (movie or sound) file: